<?php
require $path.'/syslog.conf.php';
//connection à la base de donnée
try
{
	$dbconnection = new PDO('pgsql:host='.DB_HOST.';port='.DB_PORT.';dbname='.DB_NAME, DB_USERNAME, DB_PWD);
	$dbconnection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
}
catch(Exception $e)
{
	echo 'PDO SQL ERROR: '.$e->getMessage().'<br />';
	echo 'N° : '.$e->getCode();
    exit(1);
}
function Trace($str)
{
    if($_GET['DEBUG']==1)
    {
        if(is_array($str))
        {
            echo'<pre>'.print_r($str,true).'</pre>';
        }
        else
        {
            echo nl2br($str."\n");
        }
    }
}
?>
