<?php
$path = rtrim ($_SERVER['DOCUMENT_ROOT'],'/');
require $path.'/common.php';

$action='byday';
if(isset($_GET ['action']) &&!empty($_GET ['action']))
{
    $action=$_GET ['action'];
}

if($action=='byday')
{
    $query = $dbconnection->prepare("SELECT stat_id,stat_name,stat_data FROm syslog_stats WHERE stat_name='LOG_BY_DAY';");
    $query->execute(array()); 
    $row=$query->fetch(PDO::FETCH_OBJ);
    echo $row->stat_data;
}
elseif($action=='tophost')
{
    $hour = 24;
    $availablehour=array(1,6,12,24);
    if(isset($_GET ['hour']) &&!empty($_GET ['hour']))
    {
        if(in_array($_GET ['hour'],$availablehour))
        {
            $hour = $_GET ['hour'];
        }
        else
        {
            $hour = 24;
        }
    }    
    $name = 'TOP_HOST_'.$hour.'HOUR';
    $query = $dbconnection->prepare("SELECT stat_id,stat_name,stat_data FROM syslog_stats WHERE stat_name=:name;");
    $query->execute(array($name)); 
    $row=$query->fetch(PDO::FETCH_OBJ);
    echo $row->stat_data;
}
elseif($action=='severity')
{
    $hour = 24;
    $availablehour=array(1,6,12,24);
    if(isset($_GET ['hour']) &&!empty($_GET ['hour']))
    {
        if(in_array($_GET ['hour'],$availablehour))
        {
            $hour = $_GET ['hour'];
        }
        else
        {
            $hour = 24;
        }
    }    
    $name = 'SEVERITY_'.$hour.'HOUR';
    $query = $dbconnection->prepare("SELECT stat_id,stat_name,stat_data FROM syslog_stats WHERE stat_name=:name;");
    $query->execute(array($name)); 
    $row=$query->fetch(PDO::FETCH_OBJ);
    echo $row->stat_data;
}
?>
